<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.stocktaking.ProductInvoiceBk" table="PRODUCT_INVOICE_BK" catalog="crov_inmobiliaria">
        <id name="id" type="string">
            <column name="id" length="36" />
            <generator class="assigned"></generator>
        </id>
        <many-to-one name="invoice" class="com.arrebol.taxiservicios.model.stocktaking.Invoice" not-null="true" fetch="select">
            <column name="invoice_id" length="36"/>
        </many-to-one>
        <many-to-one name="product" class="com.arrebol.taxiservicios.model.catalog.Product" not-null="true" fetch="select">
            <column name="product_id" length="36"/>
        </many-to-one>
        <property name="amount" type="double">
            <column name="product_amount_bk"/>
        </property>
        <property name="quantity" type="int">
            <column name="product_quantity_bk"/>
        </property>
        <many-to-one name="createdBy" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="created_by" length="36"/>
        </many-to-one>
        <property name="createdOn" type="timestamp">
            <column length="19" name="created_on"/>
        </property>
        <many-to-one name="lastUpdatedBy" class="com.arrebol.taxiservicios.model.core.User" fetch="select">
            <column name="last_updated_by" length="36"/>
        </many-to-one>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
    </class>
</hibernate-mapping>